﻿using DressAtelierContracts.BindingModels;
using DressAtelierContracts.SearchModels;
using DressAtelierContracts.ViewModels;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace DressAtelierContracts.StorageContracts
{
    public interface IAtelierStorage
    {
        List<AtelierViewModel> GetFullList();
        List<AtelierViewModel> GetFilteredList(AtelierSearchModel model);
        AtelierViewModel? GetElement(AtelierSearchModel model);
        AtelierViewModel? Insert(AtelierBindingModel model);
        AtelierViewModel? Update(AtelierBindingModel model);
        AtelierViewModel? Delete(AtelierBindingModel model);
    }
}
