﻿using DressAtelierDataModels.Models;
using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace DressAtelierContracts.ViewModels
{
    public class AtelierViewModel : IAtelierModel
    {
        public int ID { get; set; }
        [DisplayName("Name")]
        public string Name { get; set; } = string.Empty;
        [DisplayName("Address")]
        public string Address { get; set; } = string.Empty;
        [DisplayName("OpeningDate")]
        public DateTime OpeningDate { get; set; } 

        public Dictionary<int, (IDressModel, int)> DressesList { get; set; } = new();

        
    }
}
